# Download payload file

`GET /workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/executions/:execution_id/payload-files/:uuid`

Downloads a file that was uploaded for the given execution

**Required Scopes:** `EXECUTION_INFO`

## URL Parameters

```typescript
interface URLParameters {
  /** The human-readable ID of the workspace */
  workspace: string; // Example: "my-company"
  /** The human-readable ID of the project */
  project_name: string; // Example: "my-project"
  /** The ID of the pipeline */
  pipeline_id: number; // Example: 123
  /** The ID of the execution */
  execution_id: number; // Example: 123456
  /** The identifier of the uploaded file returned by the upload endpoint */
  uuid: string; // Example: "6f1a2b3c-4d5e-6f70-8192-a3b4c5d6e7f8"
}
```

## Response Example

**Status:** `200 OK`


---
Original source: https://buddy.works/docs/api/executions/download-payload-file